open-iscsi (2.1.11-5ubuntu4) stonking; urgency=medium

  * No-change rebuild against libssl4

 -- Ravi Kant Sharma <ravi.kant.sharma@canonical.com>  Fri, 24 Jul 2026 11:03:00 +0000

open-iscsi (2.1.11-5ubuntu3) stonking; urgency=medium

  * Recommend busybox or busybox-static on Ubuntu as well (LP: #2157328)

 -- Benjamin Drung <bdrung@ubuntu.com>  Fri, 17 Jul 2026 12:29:19 +0200

open-iscsi (2.1.11-5ubuntu2) stonking; urgency=medium

  * d/extra/initramfs/local-top/iscsi: normalize static bootproto for
    initramfs netplan conversion. In iscsi_auto flow, firmware reports
    bootproto as STATIC, but netinfo_to_netplan handles static IPv4
    through PROTO=none with address fields. Map STATIC to PROTO=none
    and record IPV4PROTO=static in net-*.conf. (LP: #2147499)

 -- Zhang Hua <joshua.zhang@canonical.com>  Thu, 11 Jun 2026 18:33:04 +0800

open-iscsi (2.1.11-5ubuntu1) stonking; urgency=medium

  * Merge with Debian unstable (LP: #2153177). Remaining changes:
    - d/README.Debian, d/extra/startup-checks.sh, d/open-iscsi.postinst:
      Apply Ubuntu branding to iqn initiator name
    - debian/tests: Add Ubuntu autopkgtest suite:
      + d/t/README-boot-test.md: document test design
      + d/t/control: register testsuite
      + d/t/get-image: helper to fetch an ubuntu cloud image
      + d/t/patch-image: helper to modify an ubuntu cloud image
        - don't handle 'migration-reference/0' as a package name
        - mount autopkgtest tmp folder when needed
        - Ignore binaries with Architecture: amd64 of source packages to fix
          autopkgtest failures
      + d/test-open-iscsi.py, d/t/testlib.py: various qa regression tests
      + d/t/testsuite: helper to invoke qa regression tests
      + d/t/tgt-boot-test: test using tgt to boot from iscsi
      + d/t/xkvm: helper to spawn a VM
      + d/t/install: fixed test by forcing a package reinstall so that
        /etc/iscsi/initiatorname.iscsi can have expected value from the
        postinst script
    - d/extra/initramfs/local-top/iscsi: add a flag to skip network
      configuration when iscsi is set to 'auto' but no iBFT data is present.
      Thanks to Alec Warren <alecwarren19@gmail.com>. (LP 2098515)
    - d/t/control: Add test-dependency on 'fdisk' to avoid 'patch-image'
      failure in autopkgtest (LP 2095584)
    - Resize cloud image used for testing to avoid out-of-space errors
      (LP 2139084):
      + d/t/test-open-iscsi.py: increase the size of the downloaded image
      + d/t/control: add cloud-guest-utils to dependencies due to
        growpart
    - d/t/patch-image: also look for arch all packages (LP 2143886)

 -- Hector Cao <hector.cao@canonical.com>  Mon, 25 May 2026 15:29:23 +0200

open-iscsi (2.1.11-5) unstable; urgency=medium

  * [dc8b039] open-iscsi: add Depends: procps for pidof

 -- Chris Hofstaedtler <zeha@debian.org>  Fri, 08 May 2026 12:19:57 +0200

open-iscsi (2.1.11-4) unstable; urgency=medium

  * Team upload
  * [b7e061c] cherry-pick fix for discovering 'static' nodes (Closes: #1129063)

 -- Fabian Grünbichler <debian@fabian.gruenbichler.email>  Mon, 02 Mar 2026 09:39:46 +0100

open-iscsi (2.1.11-3ubuntu3) resolute; urgency=medium

  * d/t/patch-image: also look for arch all packages (LP: #2143886)

 -- Benjamin Drung <bdrung@ubuntu.com>  Thu, 12 Mar 2026 00:48:53 +0100

open-iscsi (2.1.11-3ubuntu2) resolute; urgency=medium

  * Resize cloud image used for testing to avoid out-of-space errors
    (LP: #2139084):
    - d/t/test-open-iscsi.py: increase the size of the downloaded image
    - d/t/control: add cloud-guest-utils to dependencies due to
      growpart

 -- Andreas Hasenack <andreas.hasenack@canonical.com>  Wed, 28 Jan 2026 10:50:31 -0300

open-iscsi (2.1.11-3ubuntu1) resolute; urgency=medium

  * Merge with Debian unstable (LP: #2126003). Remaining changes:
    - d/README.Debian, d/extra/startup-checks.sh, d/open-iscsi.postinst:
      Apply Ubuntu branding to iqn initiator name
    - debian/tests: Add Ubuntu autopkgtest suite:
      + d/t/README-boot-test.md: document test design
      + d/t/control: register testsuite
      + d/t/get-image: helper to fetch an ubuntu cloud image
      + d/t/patch-image: helper to modify an ubuntu cloud image
        - don't handle 'migration-reference/0' as a package name
        - mount autopkgtest tmp folder when needed
        - Ignore binaries with Architecture: amd64 of source packages to fix
          autopkgtest failures
      + d/test-open-iscsi.py, d/t/testlib.py: various qa regression tests
      + d/t/testsuite: helper to invoke qa regression tests
      + d/t/tgt-boot-test: test using tgt to boot from iscsi
      + d/t/xkvm: helper to spawn a VM
      + d/t/install: fixed test by forcing a package reinstall so that
        /etc/iscsi/initiatorname.iscsi can have expected value from the
        postinst script
    - d/extra/initramfs/local-top/iscsi: add a flag to skip network
      configuration when iscsi is set to 'auto' but no iBFT data is present.
      Thanks to Alec Warren <alecwarren19@gmail.com>. (LP 2098515)
    - d/t/control: Add test-dependency on 'fdisk' to avoid 'patch-image'
      failure in autopkgtest (LP 2095584)
  * Dropped changes:
    - Include iscsiuio.socket in iscsiuio package (LP 2072484)
      + d/iscsiuio.install: Add usr/lib/systemd/system/iscsiuio.socket
      + d/not-installed: Remove iscsiuio.socket entry
      + d/rules: Set up iscsiuio.socket with systemd
      [Fixed in 2.1.11-3]

 -- Hector Cao <hector.cao@canonical.com>  Wed, 07 Jan 2026 15:52:19 +0100

open-iscsi (2.1.11-3) unstable; urgency=medium

  [ Carles Pina i Estany ]
  * [4776d36] Added po-debconf Catalan translation

  [ Lena Voytek ]
  * [8c864ed] Include iscsiuio.socket in iscsiuio package (LP: #2072484)
    (Closes: #1056733)

  [ Chris Hofstaedtler ]
  * [ca6ccc5] Remove traces of usrmerge compat symlinks (Closes: #1030478)

  [ Dhionel Díaz ]
  * [81e277b] umountiscsi.sh: create directory for signaling file
  * [b5e829b] umountiscsi.sh: fix detection of LVM VGs with iSCSI storage
  * [9126e8f] umountiscsi.sh: add the path to /var/log/journal to EXCLUDED_MOUNTS
  * [fc9e7a1] umountiscsi.sh: use lsblk to find more iscsi mount points
  * [85ccdc9] umountiscsi.sh: use lsblk to find the major:minor number of a device
  * [6e71484] umountiscsi.sh: remove unused list iscsi_mount_point_ids
    Closes: #1116247

 -- Chris Hofstaedtler <zeha@debian.org>  Thu, 25 Sep 2025 01:25:31 +0200

open-iscsi (2.1.11-2) unstable; urgency=medium

  [ Michael Prokop ]
  * [f3d17cf] initramfs: ensure that /var/lib exists.
    Thanks to Leon Blakey <code@leonblakey.com> (Closes: #1103644)

 -- Chris Hofstaedtler <zeha@debian.org>  Sun, 10 Aug 2025 12:03:53 +0200

open-iscsi (2.1.11-1ubuntu3) questing; urgency=medium

  * d/t/patch-image: Ignore binaries with Architecture: amd64 of
    source packages to fix autopkgtest failures (LP: #2117102)

 -- Tim Andersson <tim.andersson@canonical.com>  Tue, 19 Aug 2025 15:33:12 +0100

open-iscsi (2.1.11-1ubuntu2) questing; urgency=medium

  * d/t/control: Add test-dependency on fdisk to avoid 'patch-image'
    failure in autopkgtest. (LP: #2095584)

 -- Lukas Märdian <slyon@ubuntu.com>  Wed, 30 Jul 2025 13:04:07 +0200

open-iscsi (2.1.11-1ubuntu1) questing; urgency=medium

  * Merge with Debian unstable (LP: #2110454). Remaining changes:
    - d/README.Debian, d/extra/startup-checks.sh, d/open-iscsi.postinst:
      Apply Ubuntu branding to iqn initiator name
    - debian/tests: Add Ubuntu autopkgtest suite:
      + d/t/README-boot-test.md: document test design
      + d/t/control: register testsuite
      + d/t/get-image: helper to fetch an ubuntu cloud image
      + d/t/patch-image: helper to modify an ubuntu cloud image
      + d/test-open-iscsi.py, d/t/testlib.py: various qa regression tests
      + d/t/testsuite: helper to invoke qa regression tests
      + d/t/tgt-boot-test: test using tgt to boot from iscsi
      + d/t/xkvm: helper to spawn a VM
      + d/t/install: fixed test by forcing a package reinstall so that
        /etc/iscsi/initiatorname.iscsi can have expected value from the
        postinst script
    - Include iscsiuio.socket in iscsiuio package (LP 2072484)
      + d/iscsiuio.install: Add usr/lib/systemd/system/iscsiuio.socket
      + d/not-installed: Remove iscsiuio.socket entry
      + d/rules: Set up iscsiuio.socket with systemd
    - d/extra/initramfs/local-top/iscsi: add a flag to skip network
      configuration when iscsi is set to 'auto' but no iBFT data is present.
  * Added changes (fixes for autopkgtests):
    - d/t/patch-image:
      + don't handle 'migration-reference/0' as a package name
      + mount autopkgtest tmp folder when needed
  * Dropped changes (included in upstream):
    - IPv6 support for iBFT iSCSI boot (LP #2097808)
      + d/p/lp2097808-IPv6-support-for-iBFT-iSCSI-boot-493.patch

 -- Florent 'Skia' Jacquet <florent.jacquet@canonical.com>  Wed, 09 Jul 2025 12:58:32 +0200

open-iscsi (2.1.11-1) unstable; urgency=medium

  * New upstream version 2.1.11.
  * Recommend finalrd only on Ubuntu. (Closes: #1072359)

 -- Chris Hofstaedtler <zeha@debian.org>  Sun, 09 Mar 2025 18:18:38 +0100

open-iscsi (2.1.10-3ubuntu4) questing; urgency=medium

  * d/extra/initramfs/local-top/iscsi: add a flag to skip network
    configuration when iscsi is set to 'auto' but no iBFT data is present.
    Thanks to Alec Warren <alecwarren19@gmail.com>. (LP: #2098515)

 -- Renan Rodrigo <renanrodrigo@canonical.com>  Wed, 09 Apr 2025 10:21:33 -0300

open-iscsi (2.1.10-3ubuntu3) plucky; urgency=medium

  * d/t/{patch-image,testlib.py}: clean tests to make them work again
    (LP: #2095584)
    Historically this tried to become a test library for re-use, but
    that hasn't materilaized. Over time this bit rot and has issues
    on plucky. Clean unused sections and modernize a few others to make
    the tests work again.
    - d/t/patch-image: UEFI enabled images have boot after root
    - d/t/patch-image: drop handling of locally configured file:// repos
    - d/t/patch-image: drop in target debug custom services
    - d/t/patch-image: drop unused krd only function
    - d/t/patch-image: make execution more verbose
    - d/t/testlib.py: remove unused testuser handling
    - d/t/testlib.py: remove unused timeout handling
    - d/t/testlib.py: remove unused kdeinit handling
    - d/t/testlib.py: remove unused apparmor handling
    - d/t/testlib.py: convert regex to raw strings
    - d/t/testlib.py: remove unused AddUser class and thereby
                      no more import deprecated crypt

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Thu, 13 Feb 2025 13:03:37 +0100

open-iscsi (2.1.10-3ubuntu2) plucky; urgency=medium

  * IPv6 support for iBFT iSCSI boot (LP: #2097808)
    - d/p/lp2097808-IPv6-support-for-iBFT-iSCSI-boot-493.patch

 -- Chengen Du <chengen.du@canonical.com>  Tue, 11 Feb 2025 03:39:28 +0000

open-iscsi (2.1.10-3ubuntu1) plucky; urgency=medium

  * Merge with Debian unstable (LP: #2085209). Remaining changes:
    - d/README.Debian, d/extra/startup-checks.sh, d/open-iscsi.postinst:
      Apply Ubuntu branding to iqn initiator name
    - debian/tests: Add Ubuntu autopkgtest suite:
      + d/t/README-boot-test.md: document test design
      + d/t/control: register testsuite
      + d/t/get-image: helper to fetch an ubuntu cloud image
      + d/t/patch-image: helper to modify an ubuntu cloud image
      + d/test-open-iscsi.py, d/t/testlib.py: various qa regression tests
      + d/t/testsuite: helper to invoke qa regression tests
      + d/t/tgt-boot-test: test using tgt to boot from iscsi
      + d/t/xkvm: helper to spawn a VM
      + d/t/install: fixed test by forcing a package reinstall so that
        /etc/iscsi/initiatorname.iscsi can have expected value from the
        postinst script
    - Include iscsiuio.socket in iscsiuio package (LP 2072484)
      - d/iscsiuio.install: Add usr/lib/systemd/system/iscsiuio.socket
      - d/not-installed: Remove iscsiuio.socket entry
      - d/rules: Set up iscsiuio.socket with systemd

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Mon, 13 Jan 2025 12:06:16 +0100

open-iscsi (2.1.10-3) unstable; urgency=medium

  * [74f7df6] Follow upstream change of moving the database path:
    Move nodes database to new path (in /var/lib/iscsi) on upgrade.
    Ensure /var/lib/iscsi exists, by installing it as a directory in
    the .deb.
    Update ConditionDirectoryNotEmpty in systemd service.
    Thanks to Friedrich Weber <f.weber@proxmox.com> (Closes: #1090725)

 -- Chris Hofstaedtler <zeha@debian.org>  Thu, 02 Jan 2025 15:49:07 +0100

open-iscsi (2.1.10-2) unstable; urgency=medium

  * [d26aa9e] open-iscsi-udeb: add Architecture riscv64 (Closes: #1087701)

 -- Chris Hofstaedtler <zeha@debian.org>  Sun, 17 Nov 2024 17:56:24 +0100

open-iscsi (2.1.10-1ubuntu2) plucky; urgency=medium

  * Include iscsiuio.socket in iscsiuio package (LP: #2072484)
    - d/iscsiuio.install: Add usr/lib/systemd/system/iscsiuio.socket
    - d/not-installed: Remove iscsiuio.socket entry
    - d/rules: Set up iscsiuio.socket with systemd

 -- Lena Voytek <lena.voytek@canonical.com>  Wed, 13 Nov 2024 12:00:34 -0700

open-iscsi (2.1.10-1ubuntu1) oracular; urgency=medium

  * Merge with Debian unstable (LP: #2064381). Remaining changes:
    - d/README.Debian, d/extra/startup-checks.sh, d/open-iscsi.postinst:
      Apply Ubuntu branding to iqn initiator name
    - debian/tests: Add Ubuntu autopkgtest suite:
      + d/t/README-boot-test.md: document test design
      + d/t/control: register testsuite
      + d/t/get-image: helper to fetch an ubuntu cloud image
      + d/t/patch-image: helper to modify an ubuntu cloud image
      + d/test-open-iscsi.py, d/t/testlib.py: various qa regression tests
      + d/t/testsuite: helper to invoke qa regression tests
      + d/t/tgt-boot-test: test using tgt to boot from iscsi
      + d/t/xkvm: helper to spawn a VM
    - d/t/install: fixed test by forcing a package reinstall so that
      /etc/iscsi/initiatorname.iscsi can have expected value from the
      postinst script
  * Dropped changes:
    - d/p/fix-format-overflow-warnings.patch: Fix format overflow warnings
      seen when building with -O3 to avoid FTBFS on ppc64el
      [ Fixed in 2.1.10 ]

 -- Athos Ribeiro <athos.ribeiro@canonical.com>  Tue, 25 Jun 2024 18:05:47 -0300

open-iscsi (2.1.10-1) unstable; urgency=medium

  * New upstream version 2.1.10
  * [4968264] Rebase patches

 -- Chris Hofstaedtler <zeha@debian.org>  Thu, 13 Jun 2024 02:51:38 +0200

open-iscsi (2.1.9-4) unstable; urgency=medium

  * [41ee5f4] iscsid.service: add After=run-lock.mount (Closes: #1071178)
  * [7463084] Replace Build-Depends: pkg-config (deprecated) with pkgconf
  * [fb96753] Build using meson build system
  * [ddff4f1] Tighten dependency on libopeniscsiusr

 -- Chris Hofstaedtler <zeha@debian.org>  Sun, 19 May 2024 01:30:33 +0200

open-iscsi (2.1.9-3ubuntu4) noble; urgency=high

  * No change rebuild against libssl3t64.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 08 Apr 2024 16:46:46 +0200

open-iscsi (2.1.9-3ubuntu3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 06:40:43 +0000

open-iscsi (2.1.9-3ubuntu2) noble; urgency=medium

  * No-change rebuild against libssl3t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 04 Mar 2024 20:22:33 +0000

open-iscsi (2.1.9-3ubuntu1) noble; urgency=medium

  * Merge with Debian unstable (LP: #2040361). Remaining changes:
    - d/README.Debian, d/extra/startup-checks.sh, d/open-iscsi.postinst:
      Apply Ubuntu branding to iqn initiator name
    - debian/tests: Add Ubuntu autopkgtest suite:
      + d/t/README-boot-test.md: document test design
      + d/t/control: register testsuite
      + d/t/get-image: helper to fetch an ubuntu cloud image
      + d/t/patch-image: helper to modify an ubuntu cloud image
      + d/test-open-iscsi.py, d/t/testlib.py: various qa regression tests
      + d/t/testsuite: helper to invoke qa regression tests
      + d/t/tgt-boot-test: test using tgt to boot from iscsi
      + d/t/xkvm: helper to spawn a VM
    - d/p/fix-format-overflow-warnings.patch: Fix format overflow warnings
      seen when building with -O3 to avoid FTBFS on ppc64el
  * d/t/patch-image: fixed kernel detection by manually mounting /boot when
    downloaded image contains a separate /boot partition
  * d/t/install: fixed test by forcing a package reinstall so that
    /etc/iscsi/initiatorname.iscsi can have expected value from the
    postinst script

 -- Mateus Rodrigues de Morais <mateus.morais@canonical.com>  Thu, 14 Dec 2023 10:08:38 -0300

open-iscsi (2.1.9-3) unstable; urgency=medium

  * Release to unstable.

 -- Chris Hofstaedtler <zeha@debian.org>  Mon, 27 Nov 2023 01:30:00 +0100

open-iscsi (2.1.9-2) experimental; urgency=medium

  * [1ceb4b9] Move files from / to /usr
  * [ab986c9] Apply wrap-and-sort -kas

 -- Chris Hofstaedtler <zeha@debian.org>  Sat, 25 Nov 2023 17:02:11 +0100

open-iscsi (2.1.9-1) unstable; urgency=medium

  * [90dd9cd] New upstream version 2.1.9

 -- Chris Hofstaedtler <zeha@debian.org>  Sat, 11 Nov 2023 00:49:32 +0100

open-iscsi (2.1.8-2) unstable; urgency=medium

  [ Eric Mackay ]
  * [195bc9a] Update debian/watch to use api.github

  [ Chris Hofstaedtler ]
  * [5dde3d5] Import README.source from systemd
  * [f00c96e] Import patches into gbp-pq workflow
  * Merge upstream git history

  [ Debian Janitor ]
  * [ebe24b7] Remove constraints unnecessary since buster (oldstable)

 -- Chris Hofstaedtler <zeha@debian.org>  Sun, 27 Aug 2023 12:10:27 +0200

open-iscsi (2.1.8-1ubuntu2) mantic; urgency=medium

  * Fix format overflow warnings seen when building with
    -O3 to avoid FTBFS on ppc64el (LP: #2036884)

 -- Graham Inggs <ginggs@ubuntu.com>  Fri, 22 Sep 2023 15:42:55 +0000

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog libopeniscsiusr`.
